BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 02-19-2009, 02:45 PM   #1 (permalink)
Knows Where the Search Button Is
 
Join Date: Nov 2008
Location: Whittier
Model: 8320
PIN: N/A
Carrier: T-Moblie
Posts: 36
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default CDO.DLL version question

Please Login to Remove!

Good Morning,
I am running BES 4.6.1 on a seperate server from our exchange 2003 server. I am currently running Exchange server manager on the BES. I have noticed quite a few errors (eventid 20035) in the event log and my research indicates that the CDO.DLL version needs to be upgraded. So my question is this, does the CDO on the BES server and the one on the Exchange (2 seperate servers) need to match or just that of the ESM and the BES which are on the same server?
Offline  
Old 02-19-2009, 03:15 PM   #2 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Z30
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,697
Post Thanks: 270
Thanked 286 Times in 270 Posts
Default

With the new patch you can make all the same. It has not been blessed by RIM but a few have done this and is working for them.

One person that has done it had 4 EXchange servers and 1000 users.
__________________
irony : many old timer posters have de-evolved into the trolls they once fought
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Z30, Z10 and Q10
Offline  
Old 02-23-2009, 02:43 AM   #3 (permalink)
Thumbs Must Hurt
 
Join Date: Jan 2008
Location: Indonesia
Model: 9700
PIN: N/A
Carrier: Indosat
Posts: 189
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

you must have the same version CDO. there is on Smartphones, Cell Phones & Smart Phones at Blackberry.com pra - installation.
correct me if i am wrong.
__________________
------------------------------------
http://2blackberry.blogspot.com
Offline  
Old 02-23-2009, 11:29 AM   #4 (permalink)
Thumbs Must Hurt
 
Join Date: Mar 2005
Model: Torch
Carrier: ATT
Posts: 179
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

same version OR higher. Just got off the phone with RIM's T-Support. They still will not officially say whether to apply the patch to the BES or not.
Offline  
Old 02-23-2009, 01:07 PM   #5 (permalink)
Knows Where the Search Button Is
 
Join Date: Nov 2008
Location: Whittier
Model: 8320
PIN: N/A
Carrier: T-Moblie
Posts: 36
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

What if I just unregistar the current CDO.DLL on the BES, Stop the dispatcher, replace teh CDO with the same version, re-registar the new one and restart the Dispatcher. Wouldnt that allow me to bring the two files to the same level?

Last edited by Sherrera : 02-23-2009 at 01:46 PM.
Offline  
Old 02-24-2009, 07:01 AM   #6 (permalink)
Feeling Blue, Bigly ;->
 
stuwhite's Avatar
 
Join Date: Jan 2007
Location: U to the K
Model: 9000
PIN: 3, it's the magic number
Carrier: Most of them, it's a Global Village man!
Posts: 1,273
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by Sherrera View Post
What if I just unregistar the current CDO.DLL on the BES, Stop the dispatcher, replace teh CDO with the same version, re-registar the new one and restart the Dispatcher. Wouldnt that allow me to bring the two files to the same level?
What are your versions? You should be getting the files as part of a patch/SP so assuming you have put the latest Exchange security patch on your Exch boxes (so they are up-to-date) and haven't applied that to the BES yet coz you don't want to (I haven't yet), the BES should be on 6.5.7651.61 if you are running Exch SP2.
__________________
I was a BES and Exchange admin once.
Then my world turned Blue.
Offline  
Old 02-24-2009, 10:24 AM   #7 (permalink)
Knows Where the Search Button Is
 
Join Date: Nov 2008
Location: Whittier
Model: 8320
PIN: N/A
Carrier: T-Moblie
Posts: 36
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

The exchange version is 6.5.7951.61, the BES which is on a seprate server is 6.5.6944.0.
Offline  
Old 02-24-2009, 10:29 AM   #8 (permalink)
Feeling Blue, Bigly ;->
 
stuwhite's Avatar
 
Join Date: Jan 2007
Location: U to the K
Model: 9000
PIN: 3, it's the magic number
Carrier: Most of them, it's a Global Village man!
Posts: 1,273
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by Sherrera View Post
The exchange version is 6.5.7951.61, the BES which is on a seprate server is 6.5.6944.0.
So it sounds like you haven't gone to Exch SP2 on the BES. Assuming your Exch is at SP2 (which I am from the CDO version), you need to put Exch SP2 on the BES and the CDO.dll will be updated. It's always best practise to patch/upgrade the BES as soon as you do it on the Exchange server (apart from times like now when MS release an Exch update but RIM won't validate it!).

Get your BES onto Exch SP2 and you should find all is good. If it's not you might need to then apply the Exchange security patch but I am still running fine with a mismatch and won't patch till the man from RIM he say yes.
__________________
I was a BES and Exchange admin once.
Then my world turned Blue.
Offline  
Old 03-20-2009, 10:21 AM   #9 (permalink)
New Member
 
Join Date: Feb 2009
Model: 8330
PIN: N/A
Carrier: Verizon USA
Posts: 12
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Which Exchange security patch are you speaking of?
Offline  
Old 03-20-2009, 11:10 AM   #10 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Z30
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,697
Post Thanks: 270
Thanked 286 Times in 270 Posts
Default

try this

MS09-003: Vulnerability in Microsoft Exchange could allow remote code execution

and

http://www.microsoft.com/technet/sec.../MS09-003.mspx
__________________
irony : many old timer posters have de-evolved into the trolls they once fought
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Z30, Z10 and Q10

Last edited by knottyrope : 03-20-2009 at 11:14 AM.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.